# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{scoped_search}
  s.version = "2.3.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Willem van Bergen", "Wes Hays"]
  s.date = %q{2012-04-29}
  s.description = %q{    Scoped search makes it easy to search your ActiveRecord-based models.
    
    It will create a named scope :search_for that can be called with a query string. It will build an SQL query using
    the provided query string and a definition that specifies on what fields to search. Because the functionality is
    built on named_scope, the result of the search_for call can be used like any other named_scope, so it can be
    chained with another scope or combined with will_paginate.
    
    Because it uses standard SQL, it does not require any setup, indexers or daemons. This makes scoped_search
    suitable to quickly add basic search functionality to your application with little hassle. On the other hand,
    it may not be the best choice if it is going to be used on very large datasets or by a large user base.
}
  s.email = ["willem@railsdoctors.com", "weshays@gbdev.com"]
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = [".gitignore", ".infinity_test", "Gemfile", "LICENSE", "README.rdoc", "Rakefile", "init.rb", "lib/scoped_search.rb", "lib/scoped_search/auto_complete_builder.rb", "lib/scoped_search/definition.rb", "lib/scoped_search/query_builder.rb", "lib/scoped_search/query_language.rb", "lib/scoped_search/query_language/ast.rb", "lib/scoped_search/query_language/parser.rb", "lib/scoped_search/query_language/tokenizer.rb", "lib/scoped_search/rails_helper.rb", "scoped_search.gemspec", "spec/database.yml", "spec/integration/api_spec.rb", "spec/integration/auto_complete_spec.rb", "spec/integration/key_value_querying_spec.rb", "spec/integration/ordinal_querying_spec.rb", "spec/integration/profile_querying_spec.rb", "spec/integration/relation_querying_spec.rb", "spec/integration/set_query_spec.rb", "spec/integration/string_querying_spec.rb", "spec/lib/database.rb", "spec/lib/matchers.rb", "spec/lib/mocks.rb", "spec/spec_helper.rb", "spec/unit/ast_spec.rb", "spec/unit/auto_complete_builder_spec.rb", "spec/unit/definition_spec.rb", "spec/unit/parser_spec.rb", "spec/unit/query_builder_spec.rb", "spec/unit/tokenizer_spec.rb", "tasks/github-gem.rake"]
  s.homepage = %q{http://github.com/wvanbergen/scoped_search/wiki}
  s.rdoc_options = ["--title", "scoped_search", "--main", "README.rdoc", "--line-numbers", "--inline-source"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Easily search you ActiveRecord models with a simple query language using a named scope.}
  s.test_files = ["spec/integration/api_spec.rb", "spec/integration/auto_complete_spec.rb", "spec/integration/key_value_querying_spec.rb", "spec/integration/ordinal_querying_spec.rb", "spec/integration/profile_querying_spec.rb", "spec/integration/relation_querying_spec.rb", "spec/integration/set_query_spec.rb", "spec/integration/string_querying_spec.rb", "spec/unit/ast_spec.rb", "spec/unit/auto_complete_builder_spec.rb", "spec/unit/definition_spec.rb", "spec/unit/parser_spec.rb", "spec/unit/query_builder_spec.rb", "spec/unit/tokenizer_spec.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>, [">= 2.1.0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<sqlite3-ruby>, [">= 0"])
    else
      s.add_dependency(%q<activerecord>, [">= 2.1.0"])
      s.add_dependency(%q<rspec>, ["~> 2.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
    end
  else
    s.add_dependency(%q<activerecord>, [">= 2.1.0"])
    s.add_dependency(%q<rspec>, ["~> 2.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
  end
end
